=== debian/changelog ===
kjots (4:5.0.1-2) unstable; urgency=medium

  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 05 Jul 2016 13:55:01 +0200

kjots (4:5.0.1-1~) experimental; urgency=medium

  * New upstream release (5.0.1).
  * Update copyright information
  * Update build-deps and deps with the info from cmake
  * Install all the files
  * Add missing build dep, xsltproc
  * Add kde-l10n scripted breaks replaces for kjots.mo

 -- Maximiliano Curia <maxy@debian.org>  Fri, 24 Jun 2016 16:05:21 +0200
