=== debian/watch ===
version=3
http://download.kde.org/stable/kjots/([\d.]+)/src/kjots-([\d.]+).tar.xz
