=== src/CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,8 @@
 # akonadi_next is dead in kdepim, those are two utility classes salvaged from
 # it that were used by KJots. We could eventually move this to Akonadi Note
 add_subdirectory(akonadi_next)
+
+add_subdirectory(kontact_plugin)
 
 add_definitions(-DTRANSLATION_DOMAIN=\"kjots\")
 
@@ -51,6 +53,7 @@
   KF5::KCMUtils
   KF5::Bookmarks
   KF5::ConfigWidgets
+  KF5::TextWidgets
   KF5::Mime
   KF5::AkonadiCore
   KF5::AkonadiWidgets
@@ -78,8 +81,9 @@
    main.cpp
    KJotsMain.cpp
 )
-kde4_add_app_icon(kjots_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/icons/hi*-apps-kjots.png")
-# TODO: ECM_ADD_APP_ICON?
+
+file(GLOB ICONS_SRCS "${CMAKE_SOURCE_DIR}/icons/*-apps-kjots.png")
+ecm_add_app_icon(kjots_SRCS ICONS ${ICONS_SRCS})
 
 add_executable(kjots ${kjots_SRCS})
