=== debian/changelog ===
kjots (4:5.0.2-1ubuntu1) bionic; urgency=medium

  * No change rebuild against KDE PIM 17.12

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 03 Mar 2018 14:40:03 +0000

kjots (4:5.0.2-1build2) bionic; urgency=medium

  * No change rebuild against KDE Apps 17.08

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 08 Dec 2017 10:32:37 +0000

kjots (4:5.0.2-1build1) artful; urgency=medium

  * No-change rebuild against libkf5mime5abi1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 24 Aug 2017 23:32:41 +0000

kjots (4:5.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file.
  * Replace deprecated build dependencies:
    - kio-dev -> libkf5kio-dev
  * Add the libkf5textwidgets-dev build dependency, new requirement.
  * Bump Standards-Version to 4.0.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Fri, 23 Jun 2017 20:56:23 +0200
