=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: kjots
 Section: kde
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.16.0~),
-               kio-dev (>= 5.16.0~),
                libgrantlee5-dev (>= 5.0~),
                libkf5akonadi-dev (>= 4:5.1.0~),
                libkf5akonadinotes-dev (>= 5.1.0~),
@@ -15,14 +15,16 @@
                libkf5configwidgets-dev (>= 5.16.0~),
                libkf5i18n-dev,
                libkf5kcmutils-dev (>= 5.16.0~),
+               libkf5kio-dev (>= 5.16.0~),
                libkf5kontactinterface-dev (>= 4.82.0~),
                libkf5mime-dev (>= 4.87.0~),
                libkf5parts-dev (>= 5.16.0~),
                libkf5pimtextedit-dev (>= 4.91.0~),
+               libkf5textwidgets-dev (>= 5.16.0~),
                libkf5xmlgui-dev (>= 5.16.0~),
                pkg-kde-tools (>= 0.12),
                xsltproc
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://userbase.kde.org/KJots
 Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/kde-extras/kjots.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-extras/kjots.git
