## kjots 5.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,25 +4,27 @@
 
 find_package(ECM 5.16.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH})
+set(CMAKE_CXX_STANDARD 14)
 
 include(ECMAddTests)
 include(CMakePackageConfigHelpers)
 include(FeatureSummary)
 include(KDEInstallDirs)
 include(KDECMakeSettings)
-include(KDECompilerSettings)
+include(KDECompilerSettings NO_POLICY_SCOPE)
 include(ECMInstallIcons)
 include(ECMQtDeclareLoggingCategory)
 include(ECMAddAppIcon)
 
-set(KJOTS_VERSION "5.0.2")
+set(KJOTS_VERSION "5.1.0")
 
-set(KF5_VERSION "5.16.0")
-# Only what is in Applications/15.12
+set(KF5_VERSION "5.71.0")
+set(AKONADINOTES_LIB_VERSION "5.14.41")
 set(KDEPIMLIBS_LIB_VERSION "5.1.0")
 set(KMIME_LIB_VERSION "4.87.0")
-set(PIMTEXTEDIT_LIB_VERSION "4.91.0")
+set(KPIMTEXTEDIT_LIB_VERSION "5.14.44")
 set(KONTACTINTERFACE_LIB_VERSION "4.82.0")
+set(LIBKDEPIM_LIB_VERSION "5.14.1")
 
 #Qt Packages
 set(QT_REQUIRED_VERSION "5.6.0")
@@ -32,22 +34,24 @@
 find_package(KF5KCMUtils ${KF5_VERSION} CONFIG REQUIRED)
 find_package(KF5KIO ${KF5_VERSION} CONFIG REQUIRED)
 find_package(KF5Config ${KF5_VERSION} CONFIG REQUIRED)
-find_packagE(KF5ConfigWidgets ${KF5_VERSION} CONFIG REQUIRED)
+find_package(KF5ConfigWidgets ${KF5_VERSION} CONFIG REQUIRED)
 find_package(KF5Parts ${KF5_VERSION} CONFIG REQUIRED)
 find_package(KF5Bookmarks ${KF5_VERSION} CONFIG REQUIRED)
 find_package(KF5XmlGui ${KF5_VERSION} CONFIG REQUIRED)
-find_package(KF5TextWidgets ${KF5_VERSION} CONFIG REQUIRED)
 
 # PIM packages
 find_package(KF5Akonadi ${KDEPIMLIBS_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
-find_package(KF5AkonadiNotes ${KDEPIMLIBS_LIB_VERSION} CONFIG REQUIRED)
-find_package(KF5PimTextEdit ${PIMTEXTEDIT_LIB_VERSION} CONFIG REQUIRED)
+find_package(KF5AkonadiNotes ${AKONADINOTES_LIB_VERSION} CONFIG REQUIRED)
+find_package(KF5PimTextEdit ${KPIMTEXTEDIT_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5KontactInterface ${KONTACTINTERFACE_LIB_VERSION} CONFIG REQUIRED)
+find_package(KF5Libkdepim ${LIBKDEPIM_LIB_VERSION} CONFIG REQUIRED)
 
 find_package(Grantlee5 "5.0" CONFIG REQUIRED)
 
-find_package(Xsltproc)
+##################### Definitions #####################
+add_definitions(-DQT_NO_KEYWORDS)
+add_definitions(-DQT_NO_CAST_FROM_ASCII)
 
 ##################### Targets #######################
