=== icons/CMakeLists.txt ===
--- 
+++ 
@@ -6,9 +6,3 @@
                   DESTINATION ${ICON_INSTALL_DIR}
                   THEME hicolor
 )
-
-file(GLOB action_icons *-actions-*)
-ecm_install_icons(ICONS ${action_icons}
-                  DESTINATION ${ICON_INSTALL_DIR}
-                  THEME oxygen
-)
