=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,5 @@
 
-# noteshared contains copy of some classes from kdepim/noteshared. This
-# is at least until the noteshared library is split out from kdepim
-# repository and we can link against it
 add_subdirectory(noteshared)
-# akonadi_next is dead in kdepim, those are two utility classes salvaged from
-# it that were used by KJots. We could eventually move this to Akonadi Note
-add_subdirectory(akonadi_next)
 
 add_subdirectory(kontact_plugin)
 
@@ -28,25 +22,20 @@
 
 set(kjots_common_SRCS
   aboutdata.cpp
-  kjotslockjob.cpp
   kjotsedit.cpp
-  kjotstreeview.cpp
   kjotsbookmarks.cpp
-  kjotsreplacenextdialog.cpp
   kjotsmodel.cpp
-  kjotssortproxymodel.cpp
   kjotswidget.cpp
   kjotsbrowser.cpp
   kjotslinkdialog.cpp
-  localresourcecreator.cpp
-  kjotsbookshelfentryvalidator.cpp
-  knowitimporter.cpp
+  notesortproxymodel.cpp
+  uistatesaver.cpp
   ${kjots_config_SRCS}
 )
+ki18n_wrap_ui(kjots_common_SRCS linkdialog.ui)
 
 add_library(kjots_common STATIC ${kjots_common_SRCS})
 target_link_libraries(kjots_common
-  akonadi_next
   noteshared
   Qt5::DBus
   Qt5::PrintSupport
@@ -60,6 +49,7 @@
   KF5::PimTextEdit
   KF5::XmlGui
   KF5::KIOWidgets
+  KF5::Libkdepim
   Grantlee5::Templates
   Grantlee5::TextDocument
 )
@@ -117,9 +107,6 @@
 install(FILES ${CMAKE_SOURCE_DIR}/data/kjotspart.desktop
         DESTINATION ${SERVICES_INSTALL_DIR}
 )
-install(FILES kjotspartui.rc
-        DESTINATION ${KXMLGUI_INSTALL_DIR}/kjots
-)
 install(TARGETS kjotspart
         DESTINATION ${PLUGIN_INSTALL_DIR}
 )
