=== debian/control ===
Source: kjots
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 2.8.12~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.16.0~),
               gettext,
               libgrantlee5-dev (>= 5.0~),
               libkf5akonadi-dev (>= 4:5.1.0~),
               libkf5akonadinotes-dev (>= 5.1.0~),
               libkf5bookmarks-dev (>= 5.71.0~),
               libkf5config-dev (>= 5.71.0~),
               libkf5configwidgets-dev (>= 5.71.0~),
               libkf5i18n-dev,
               libkf5kcmutils-dev (>= 5.71.0~),
               libkf5kio-dev (>= 5.71.0~),
               libkf5kontactinterface-dev (>= 4.82.0~),
               libkf5libkdepim-dev,
               libkf5mime-dev (>= 4.87.0~),
               libkf5parts-dev (>= 5.71.0~),
               libkf5pimtextedit-dev (>= 4.91.0~),
               libkf5xmlgui-dev (>= 5.71.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.0~),
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://userbase.kde.org/KJots
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kjots
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kjots.git

Package: kjots
Architecture: any
Depends: akonadi-server, ${misc:Depends}, ${shlibs:Depends}
Section: utils
Description: note-taking utility
 Kjots is a notebook utility that organizes notes using groups of pages.
 .
 This package is part of the KDE PIM module.
