=== debian/changelog ===
kjots (4:5.1.1-0ubuntu5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:11:53 +1100

kjots (4:5.1.1-0ubuntu4) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:04:35 +0000

kjots (4:5.1.1-0ubuntu3) mantic; urgency=medium

  * No-change rebuild against New KDE PIM virtual ABI..

 -- Rik Mills <rikmills@kde.org>  Sun, 27 Aug 2023 03:50:28 +0100

kjots (4:5.1.1-0ubuntu2) mantic; urgency=medium

  * No-change rebuild against New KDE PIM..

 -- Rik Mills <rikmills@kde.org>  Wed, 16 Aug 2023 08:13:49 +0100

kjots (4:5.1.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.1.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 15 Jun 2023 11:28:22 +0100
