=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kjots
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper-compat (= 13),
